Ir al contenido principal
Companies

Remove a contact from a company

Removes a contact (customer) from a company.

DELETE
/v2/companies/{id}/contacts/{contactId}

Removes the company from the contact's companyIds array and embedded companies array. Also decrements the linkedUsers count on the company.

Path Parameters

  • id - The Featurebase internal ID of the company (MongoDB ObjectId)
  • contactId - The Featurebase internal ID of the contact to remove (MongoDB ObjectId)

Response

Returns the updated contact object with the company removed.

Example Response

{
  "object": "contact",
  "id": "507f1f77bcf86cd799439012",
  "userId": "usr_12345",
  "email": "john@acme.com",
  "name": "John Doe",
  "type": "customer",
  "companies": []
}

Error Responses

  • 400 Bad Request - Contact is not attached to this company
  • 404 Not Found - Company or contact does not exist

Version Availability

This endpoint is only available in API version 2026-01-01.nova and newer.

Authorizationstringheaderobligatorio

API key as Bearer token. Use: Authorization: Bearer sk_...

idstringobligatorio

The Featurebase internal ID of the company (MongoDB ObjectId)

Ejemplo: 507f1f77bcf86cd799439011
contactIdstringobligatorio

The Featurebase internal ID of the contact to remove (MongoDB ObjectId)

Ejemplo: 507f1f77bcf86cd799439012
Featurebase-Versionenum<string>header

API version for this request. Defaults to your organization's configured API version if not specified.

Opciones disponibles: 2026-08-19.orbit, 2026-01-01.nova, 2025-12-12.clover
Ejemplo: 2026-08-19.orbit

Respuesta

application/json

Success

commentsCreatednumber

Number of comments created

Ejemplo: 0
companiesobject[]

Companies the contact belongs to

customFieldsobject

Custom field values on the contact

descriptionstring

Contact description/bio

Ejemplo:
emailstring | null

Contact email

Ejemplo: john@example.com
idstringobligatorio

Unique identifier

Ejemplo: 676f0f6765bdaa7d7d760f88
lastActivitystring

Last activity ISO timestamp

Ejemplo: 2025-01-03T21:42:30.181Z
localestring

Contact locale

Ejemplo: en
manuallyOptedOutFromChangelogboolean

Whether manually opted out from changelog

Ejemplo: false
namestringobligatorio

Contact display name

Ejemplo: John Steezy
objectenum<string>obligatorio

Object type identifier

Opciones disponibles: contact
Ejemplo: contact
organizationIdstring

Organization ID the contact belongs to

Ejemplo: 5febde12dc56d60012d47db6
postsCreatednumber

Number of posts created

Ejemplo: 0
profilePicturestring | null

Profile picture URL

Ejemplo: https://fb-usercontent.fra1.cdn.digitaloceanspaces.com/anon_23.png
rolesstring[]

Contact roles

subscribedToChangelogboolean

Whether subscribed to changelog

Ejemplo: true
typeenum<string>obligatorio

Type of contact

Opciones disponibles: customer, lead
Ejemplo: customer
userIdstring

External user ID from SSO

Ejemplo: 676f0f673dbb299c8a4f3057
verifiedboolean

Whether email is verified

Ejemplo: true